#160216 compare taxa tables!

setwd("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta SCHMALNAU/2 HiSeq TierMix scripts/7 BOLD/1 tax_copy_engine/BF1_BR2")


ref <- read.csv("../../OTU_BF1_BR1/OTU_BF1_BR1_taxo_v2.csv", stringsAsFactors=F)

data <- read.csv("../../OTU_BF1_BR2/OTU_BF1_BR2_taxo_v1.csv", stringsAsFactors=F)

filename <- "BF1_BR2_v1.csv"


head(ref)

#plot(ref$length)


cat(file="ref.txt", paste(">", ref$ID.1, "\n", ref$sequ, "\n", sep=""), sep="")
cat(file="data.txt", paste(">", data$ID, "\n", data$sequ, "\n", sep=""), sep="")


system2("usearch", " -usearch_local data.txt -db ref.txt -strand plus -id 0.97 -blast6out blast_out.txt -maxhits 1", stdout=T, stderr=T)


meep <- read.csv("blast_out.txt", sep="\t", stringsAsFactors=F, header=F)

names(meep) <- c("query", "otu", "ident", "length", "mism", "gap", "qstart", "qend", "target_s", "target_e", "e.value", "bitscore")
meep <- subset(meep, meep$e.value<1e-50 )




temp <- merge(data, meep, by.x="ID", by.y="query", all.x=T)
temp <- temp[order(temp$SORT),]

taxanames <- read.csv("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta SCHMALNAU/2 HiSeq TierMix scripts/R scripte/1 variability plot/ID_sorted.csv", stringsAsFactors=F)
taxanames <- taxanames[order(taxanames$ID),]

taxanames$name[53] <- "Others"


taxanames$name[temp$otu]

head(temp)

temp <- data.frame(temp, temp$ID, temp$otu, "Taxon"=taxanames$name[temp$otu])

names(temp)[22] <- "notused"
names(temp)[37] <- "ID.1"



write.csv(file=filename, temp)







#DNA <- readLines("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 METABARCODING/1 MySeq TierMix/1 R scripte/4 unique usearch/140912_test_OTUs/120914_Ns_tiermix.fasta")
#write.csv(file="HCO_LCO_Fasta.csv", DNA[seq(2, length(DNA), 2)])








