# 160611 - Primer evaluation

setwd("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 meta FINNLAND/2 Misof - insecta/1 Rscripte/1 Primer_evaluation")

library("seqinr")
library("PrimerMiner")


#batchprocess!
data <- read.csv("meta_primer_v7.csv", stringsAsFactors=F)
temp <- data

fasta_file <- list.files("../../1 PrimerMiner v03/_ALIGNMENTS", full.names=T)
order_ID <- sub(".*/(.*).fasta", "\\1", fasta_file)

k <- 7
i <- 19

for (k in 1:length(fasta_file)){

for (i in 1:nrow(temp)){

name <- paste("Primer_tables_v10/", temp$strand[i], "_#_", order_ID[k], "_##_", temp$Primer.name[i], ".csv", sep="")

if(temp$strand[i]=="F"){
start <- temp$bind[i]+25
stop <- temp$bind[i]+26-nchar(temp$sequence[i])
forward <- T
} else {
start <- temp$bind[i]+25
stop <- temp$bind[i]+24+nchar(temp$sequence[i])
forward <- F
}


evaluate_primer(fasta_file[k], temp$sequence[i], start, stop, save= name, forward= forward, mm_position ="Position_1.2+5.csv", adjacent=2, mm_type="Type_v1.csv")

#evaluate_primer(fasta_file[k], temp$sequence[i], start, stop, save= name, forward= forward, mm_position ="Position_v1_same.csv", adjacent=1, mm_type=NULL)

}

} # loop end = )








